Package org.apache.sling.thumbnails

## Interface RenderedResource

All Known Implementing Classes:
  `RenderedResourceImpl`

    public interface RenderedResource

A model interface for getting the renditions for a resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull List<Transformation>` `getAvailableTransformations()` Gets the transformations defined in this resource's CA Configs
`@NotNull List<org.apache.sling.api.resource.Resource>` `getRenditions()` Get the renditions for the requested resource
`@NotNull String` `getRenditionsPath()` Get the relative path to the renditions within the resource, e.g.
`List<String>` `getSupportedRenditions()` Gets all of the supported renditions for this resource, e.g.

### Method Detail

#### getAvailableTransformations

    @NotNull
    @NotNull List<Transformation> getAvailableTransformations()

Gets the transformations defined in this resource's CA Configs

Returns:
  the transformations available for the resource

#### getRenditions

    @NotNull
    @NotNull List<org.apache.sling.api.resource.Resource> getRenditions()

Get the renditions for the requested resource

Returns:
  the renditions for the resource

#### getRenditionsPath

    @NotNull
    @NotNull String getRenditionsPath()

Get the relative path to the renditions within the resource, e.g. jcr:content/renditions

Returns:
  the relative path to the renditions

#### getSupportedRenditions

    List<String> getSupportedRenditions()

Gets all of the supported renditions for this resource, e.g. the union of the transformations defined in this resource's CA Configs without extensions and the existing renditions (with extensions)

Returns:
  the list of the supported renditions